Summary:	A graphical interface for administering users and groups
Name:		userdrake
Version:	2.20
Release:	%mkrel 6
Source0:	https://gitweb.mageia.org/software/userdrake/snapshot/%{name}-%{version}.tar.xz
URL:		https://www.mageia.org
License:	GPLv2
Group:		System/Configuration
Requires:	drakxtools >= 16
Requires:	polkit
Requires:	transfugdrake
BuildRequires:  gettext
BuildRequires:  perl-devel
BuildRequires:  pkgconfig(libuser)
BuildRequires:  libglib2.0-devel
BuildRequires:  pam-devel
BuildRequires:  intltool
BuildRequires:  perl_checker

%description
Userdrake is a user-friendly and powerful tool for administrating users and
groups.

%prep
%autosetup -p1

%build
cd USER
%{__perl} Makefile.PL INSTALLDIRS=vendor
cd ..
make OPTIMIZE="%{optflags} -w"

%install
%make_install PREFIX=%{buildroot}

%make_install -C USER

#install lang
%{find_lang} userdrake

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop <<EOF
[Desktop Entry]
Name=User Administration
Comment=Add or remove users and groups
Exec=/usr/bin/drakuser
Icon=userdrake
Type=Application
StartupNotify=true
Categories=GTK;System;X-Mageia-CrossDesktop;
NoDisplay=true
EOF

%package -n perl-USER
Summary:	Perl module to access to user and group information
Group:		Development/Perl
Requires:	libuser
Conflicts:	userdrake < 2.10-4

%description -n perl-USER
This package provides Perl language module to read and change user
and group information.

%files -n perl-USER
%{_mandir}/man3/USER*
%{perl_vendorarch}/USER.pm
%{perl_vendorarch}/auto/USER

%files -f userdrake.lang
%doc README COPYING RELEASE_NOTES
%config(noreplace) %{_sysconfdir}/sysconfig/userdrake
%{_prefix}/bin/*
%{_prefix}/libexec/*
%{_datadir}/polkit-1/actions/*.policy
%{_datadir}/userdrake
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/*.png
%{_miconsdir}/*.png
%{_liconsdir}/*.png


%changelog
* Fri Dec 01 2023 tv <tv> 2.20-6.mga10
+ Revision: 2012266
- Rebuild for perl-5.38
- Rebuild for perl-5.38

* Tue Jun 07 2022 umeabot <umeabot> 2.20-4.mga9
+ Revision: 1862781
- Rebuild for Perl 5.36

* Wed Mar 30 2022 umeabot <umeabot> 2.20-3.mga9
+ Revision: 1834172
- Mageia 9 Mass Rebuild

* Mon May 24 2021 tmb <tmb> 2.20-2.mga9
+ Revision: 1726293
- rebuild for rebuild for perl-5.34.0

* Wed Feb 17 2021 tmb <tmb> 2.20-1.mga8
+ Revision: 1675531
- translation updates

* Wed Jun 17 2020 umeabot <umeabot> 2.19-4.mga8
+ Revision: 1595324
- Rebuild for perl 5.32

* Sat Feb 15 2020 umeabot <umeabot> 2.19-3.mga8
+ Revision: 1528821
- Mageia 8 Mass Rebuild

* Mon Aug 26 2019 tmb <tmb> 2.19-2.mga8
+ Revision: 1432666
- rebuild for perl 5.30

* Mon May 20 2019 tmb <tmb> 2.19-1.mga7
+ Revision: 1398592
- translation updates

* Fri Sep 28 2018 tv <tv> 2.18-1.mga7
+ Revision: 1309732
- updated translations
+ umeabot <umeabot>
- Mageia 7 Mass Rebuild

* Sun Aug 05 2018 tmb <tmb> 2.17-3.mga7
+ Revision: 1247609
- rebuild for perl 5.28

* Wed Mar 07 2018 mrambo3501 <mrambo3501> 2.17-2.mga7
+ Revision: 1207119
- version 2.17 userdrake tarball with translations

* Tue Jan 09 2018 mrambo3501 <mrambo3501> 2.17-1.mga7
+ Revision: 1191913
- version 2.17 - handle existing home directory for new user

* Tue Jan 09 2018 mrambo3501 <mrambo3501> 2.16-4.mga7
+ Revision: 1191875
- add patch to notify of existing home directory mga#21333:C7

* Sat Sep 02 2017 tv <tv> 2.16-3.mga7
+ Revision: 1150589
- rebuild for fixed perl

* Sat Jul 22 2017 neoclust <neoclust> 2.16-2.mga7
+ Revision: 1126641
- Rebuild against new Perl 5.26

* Mon Jun 05 2017 akien <akien> 2.16-1.mga6
+ Revision: 1106942
- Version 2.16, translation updates

* Mon Mar 20 2017 akien <akien> 2.15-1.mga6
+ Revision: 1093812
- Version 2.15

* Sat Feb 25 2017 neoclust <neoclust> 2.14-1.mga6
+ Revision: 1087756
- Do not encrypt the empty password (mga#19318)

* Fri Oct 14 2016 daviddavid <daviddavid> 2.13-2.mga6
+ Revision: 1060720
- fix desktop file Categories (mga#2449)
- add a Source URL from gitweb
- fix License

* Mon Sep 12 2016 tv <tv> 2.13-1.mga6
+ Revision: 1051635
- fix minimal [GU]ID (mga#16888)

* Sat Aug 27 2016 tv <tv> 2.12-1.mga6
+ Revision: 1049264
- fix gtk+3 warning
- translation updates

* Sun Jun 19 2016 pterjan <pterjan> 2.11-2.mga6
+ Revision: 1036652
- Rebuild for perl 5.22.2

* Fri Mar 25 2016 ennael <ennael> 2.11-1.mga6
+ Revision: 995381
- New design (Animtim)
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Mon Nov 23 2015 anaselli <anaselli> 2.10-5.mga6
+ Revision: 905045
- Conflcting with old userdrake version

* Thu Nov 19 2015 anaselli <anaselli> 2.10-4.mga6
+ Revision: 904269
- Splitted perl-USER from package

* Thu Jun 25 2015 tv <tv> 2.10-3.mga6
+ Revision: 843425
- rebuild with soname-ified perl

* Tue Jun 23 2015 sander85 <sander85> 2.10-2.mga6
+ Revision: 840441
- Rebuild for perl 5.22

* Mon May 18 2015 tv <tv> 2.10-1.mga5
+ Revision: 822303
- translations updates

* Sun May 03 2015 tv <tv> 2.9-1.mga5
+ Revision: 821171
- translations updates

* Mon Feb 09 2015 ennael <ennael> 2.8-1.mga5
+ Revision: 814288
- update translations

* Fri Jan 02 2015 tv <tv> 2.7-1.mga5
+ Revision: 808042
- translations updates

* Wed Oct 15 2014 umeabot <umeabot> 2.6-2.mga5
+ Revision: 749752
- Second Mageia 5 Mass Rebuild

* Wed Oct 08 2014 colin <colin> 2.6-1.mga5
+ Revision: 737577
- New version: 2.6
- Switch user/group id boundary to 1000
- Add heuristics for filtering users in the 500-999 range

* Tue Sep 16 2014 umeabot <umeabot> 2.5-3.mga5
+ Revision: 690095
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 tv <tv> 2.5-2.mga5
+ Revision: 632086
- rebuild for new perl

* Tue Feb 11 2014 tv <tv> 2.5-1.mga5
+ Revision: 589371
- fix untranslated messages (mga#12498)

* Sat Jan 25 2014 colin <colin> 2.4-1.mga4
+ Revision: 568167
- Avoid double fork problems mga#11184 mga#12364

* Mon Dec 16 2013 tv <tv> 2.3-1.mga4
+ Revision: 557344
- fix crashing when displaying about dialog

* Fri Dec 06 2013 tv <tv> 2.2-1.mga4
+ Revision: 555711
- fix searching returning no results

* Wed Dec 04 2013 tv <tv> 2.1-1.mga4
+ Revision: 555141
- fix "forgiving" primary group when (un)selecting secondary groups (mga#11864)
- ignore events who lack ->x & ->y
  (thus fixing a crash if clicking too often)

* Mon Nov 25 2013 tv <tv> 2.0-1.mga4
+ Revision: 553061
- port to Gtk+3

* Sat Nov 23 2013 tmb <tmb> 1.16-2.mga4
+ Revision: 552593
- drop suggests on xguest as we dont want it installed by default

* Sun Nov 17 2013 colin <colin> 1.16-1.mga4
+ Revision: 551671
- New version: 1.16

* Tue Oct 22 2013 umeabot <umeabot> 1.15-2.mga4
+ Revision: 541466
- Mageia 4 Mass Rebuild

* Sat Oct 12 2013 colin <colin> 1.15-1.mga4
+ Revision: 495967
- Add BR on perl_checker
- Rely on polkit not consolehelper + BR intltool
- New version: 1.15

* Wed May 29 2013 tv <tv> 1.14-2.mga4
+ Revision: 430244
- rebuild for new perl

* Tue Apr 23 2013 tv <tv> 1.14-1.mga3
+ Revision: 411044
- lzma -> xz
- fix compiling with latest libuser
+ fwang <fwang>
- update rpm group
+ umeabot <umeabot>
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 1.13.6-2.mga3
+ Revision: 251365
- rebuild for perl 5.16

* Wed Dec 28 2011 dams <dams> 1.13.6-1.mga2
+ Revision: 188380
- Fix 'xguest' install/remove (bug #2247)

* Sun Jun 12 2011 ahmad <ahmad> 1.13.5-2.mga2
+ Revision: 104369
- Rebuild for perl-5.14.0

* Sun May 22 2011 ennael <ennael> 1.13.5-1.mga1
+ Revision: 100177
- update translation (#1307)

* Sat May 14 2011 ennael <ennael> 1.13.4-1.mga1
+ Revision: 98810
- update translations

* Mon Feb 07 2011 dmorgan <dmorgan> 1.13.3-1.mga1
+ Revision: 48503
- Adapt for mageia
- imported package userdrake

